summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVincent Legoll <vincent.legoll@gmail.com>2020-05-17 19:17:21 +0200
committerGuix Patches Tester <>2020-05-24 21:33:52 +0100
commitca8e3bf642d519416e80bc68f3dafca81f365be3 (patch)
treea157c48436a7b7ece9692641b045d6ac9cf75309
parent65e73f604ae19494616dcd4c3254974bcc2c9855 (diff)
downloadpatches-series-4009.tar
patches-series-4009.tar.gz
Remove some "[[" bashismsseries-4009
-rwxr-xr-xetc/guix-install.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index c3137d3bc1..1bb6b04583 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -214,7 +214,7 @@ guix_get_bin_list()
default_ver="guix-binary-${latest_ver}.${ARCH_OS}"
- if [[ "${#bin_ver_ls}" -ne "0" ]]; then
+ if [ "${#bin_ver_ls}" -ne 0 ]; then
_msg "${PAS}Release for your system: ${default_ver}"
else
_err "${ERR}Could not obtain list of Guix releases."
@@ -239,7 +239,7 @@ guix_get_bin()
_PROGRESS_OPT="-q --show-progress" || _PROGRESS_OPT=""
wget $_PROGRESS_OPT -P "${dl_path}" "${url}/${bin_ver}.tar.xz" "${url}/${bin_ver}.tar.xz.sig"
- if [[ "$?" -eq 0 ]]; then
+ if [ "$?" -eq 0 ]; then
_msg "${PAS}download completed."
else
_err "${ERR}could not download ${url}/${bin_ver}.tar.xz."
@@ -248,7 +248,7 @@ guix_get_bin()
pushd "${dl_path}" >/dev/null
gpg --verify "${bin_ver}.tar.xz.sig" >/dev/null 2>&1
- if [[ "$?" -eq 0 ]]; then
+ if [ "$?" -eq 0 ]; then
_msg "${PAS}Signature is valid."
popd >/dev/null
else
@@ -273,7 +273,7 @@ sys_create_store()
tar x -f "${pkg}" "${TAROPTS[@]}" &&
_msg "${PAS}unpacked archive"
- if [[ -e "/var/guix" || -e "/gnu" ]]; then
+ if [ -e "/var/guix" ] || [ -e "/gnu" ]; then
_err "${ERR}A previous Guix installation was found. Refusing to overwrite."
exit 1
else